=== debian/control ===
Source: ros-indigo-urdf-viewer
Section: misc
Priority: extra
Maintainer: Jennifer Buehler <jennifer.e.buehler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roscpp, ros-indigo-urdf2inventor
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-urdf-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-roscpp, ros-indigo-urdf2inventor
Description: A urdf viewer which converts the URDF to inventor first and then displays it in SoQtExaminerViewer
